Ubuntu

[needs-packaging] cinepaint

Reported by Caroline Ford on 2008-02-10
122
This bug affects 15 people
Affects Status Importance Assigned to Milestone
cinepaint (Debian)
New
Unknown
cinepaint (Ubuntu)
Wishlist
Unassigned
Nominated for Lucid by Digital Lifestyle

Bug Description

Binary package hint: cinepaint

Cinepaint has been removed from Debian sid and doesn't occur in Hardy.
http://people.debian.org/~terpstra/message/20080129.174736.c1253624.en.html
http://packages.qa.debian.org/c/cinepaint.html
http://packages.ubuntu.com/cgi-bin/search_packages.pl?keywords=cinepaint&searchon=names&subword=1&version=all&release=all

Cinepaint is still under development upstream and is used in the industry.
http://linuxgazette.net/147/rowe.html

It appears that cinepaint was removed as it wasn't being maintained in Debian. I believe tthat Ubuntu would benefit from having cinepaint back as industries that require that program may well move to another distro.

Added to REVU:
http://revu.ubuntuwire.com/details.py?package=cinepaint

Caroline Ford (secretlondon) wrote :

Debian Bug #435890: cinepaint: not binNMU-safe, misuse of ${Source-Version}

was the reason it got pulled.

Murat Gunes (mgunes) on 2008-02-10
Changed in cinepaint:
importance: Undecided → Wishlist

 subscribe ubuntu-archive

On Sun, Feb 10, 2008 at 11:02:24PM -0000, Murat Güneş wrote :
> ** Changed in: cinepaint (Ubuntu)
> Importance: Undecided => Wishlist
>
> ** Tags added: needs-packaging
>

It doesn't really "needs packaging", as there's an existing package in gutsy.
However, I suspect there's been a reason if it was removed from the archive, so
I'd like to have some input from the archive administrators on it.

Cheers

> --
> Please re-add cinepaint to Ubuntu
> https://bugs.launchpad.net/bugs/190791
> You received this bug notification because you are a bug contact for
> cinepaint in ubuntu.

--
Albin Tonnerre, aka Lutin

Caroline Ford (secretlondon) wrote :

The reason it's not in hardy is because it was removed from sid and
therefore wasn't synced across.

Debian removed it from sid because of the packaging error linked to above.

It doesn't need packaging as much as packaging fixing. It was also
orphaned in Debian I think.

I've been told on irc that the cinepaint package used gtk1 (which Debian dropped support for) and that it was orphaned. I'm also told that it can be built with --enable-gtk2.

On Mon, Feb 11, 2008 at 06:09:54PM -0000, Caroline Ford wrote :
> I've been told on irc that the cinepaint package used gtk1 (which Debian
> dropped support for) and that it was orphaned. I'm also told that it can
> be built with --enable-gtk2.
>

I enabled it in gutsy, actually

> --
> Please re-add cinepaint to Ubuntu
> https://bugs.launchpad.net/bugs/190791
> You received this bug notification because you are a bug contact for
> cinepaint in ubuntu.

--
Albin Tonnerre, aka Lutin

The package was dropped from hardy because it was dropped from Debian, and the archive admins routinely remove such packages when they're no longer available in Debian. Per http://people.ubuntu.com/~ubuntu-archive/removals.txt, the removal reason given was:
  (From Debian) RoM ; obsolete, buggy, unmaintained, being abandoned upstream
This does not block readding the package to Ubuntu if these reasons no longer apply.

For that matter, upstream has expressed interest in getting this re-added to Ubuntu as well,

Steve Langasek (vorlon) wrote :

The package was dropped from hardy because it was dropped from Debian, and the archive admins routinely remove such packages when they're no longer available in Debian. Per http://people.ubuntu.com/~ubuntu-archive/removals.txt, the removal reason given was:
  (From Debian) RoM ; obsolete, buggy, unmaintained, being abandoned upstream
This does not block readding the package to Ubuntu if these reasons no longer apply.

For that matter, upstream has expressed interest in getting this re-added to Ubuntu as well, so you may wish to consider coordinating to get it re-included there.

Changed in cinepaint:
status: Unknown → New
Caroline Ford (secretlondon) wrote :

There is a testing package produced by Aedan Kelly with the support of upstream. I've stuck it in my PPA although it needs more work.

This is the package that I've built in my ppa. There are a few
problems with it - the colour profile thing doesn't work out of the
box.

Changed in cinepaint:
assignee: nobody → secretlondon
status: New → In Progress
description: updated
Blempis (mikko-lempola) wrote :

Sounds so microsoft - just drop out some programs users could possibly not be willing to play with. Ubuntu is still even worse if you compare ubuntu's LTS (couple of months) to XP.

Savvas Radevic (medigeek) wrote :

There's 0.25.0 in CVS already.
CVS links:
http://cinepaint.cvs.sourceforge.net/

cvs -d:pserver:<email address hidden>:/cvsroot/cinepaint login
cvs -z3 -d:pserver:<email address hidden>:/cvsroot/cinepaint co cinepaint-project

Savvas Radevic (medigeek) wrote :

Found another bug to look out for:
http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=437837

I'll try and create a debian source package using caroline's, the gutsy and debian git:
http://git.debian.org/?p=collab-maint/cinepaint.git;a=summary

Savvas Radevic (medigeek) wrote :

I have reported licensing issues for proper packaging: https://sourceforge.net/tracker2/index.php?func=detail&aid=2556463&group_id=75029&atid=542706 (set to Priority 2, since its low priority, but still important to be fixed).

Darxus (darxus) wrote :

The cinepaint package in Caroline's ppa (thanks) depends on the libopenexr2ldbl package which is only available in hardy. This is easy to deal with by adding another line to /etc/apt/sources.list - both required lines (including Caroline's ppa) are as follows:

deb http://ppa.launchpad.net/secretlondon/ppa/ubuntu hardy main
deb http://archive.ubuntu.com/ubuntu/ hardy main

I haven't discovered any problems so far.

Darxus (darxus) wrote :

Is there a better place to file a bug against the cinepaint package in Caroline's ppa?

If you open a HDR image and try to change the contrast (Image / Colors / Brightness - Contrast), it crashes.
An HDR for testing: http://www.chaosreigns.com/hdr/StLouisArchMultExpEV_HDR.exr

The bright pink and color space warnings are not a bug, and not related to this problem.

Also, this package should have a Recommends: for icc-profiles. (If you install this, then do File / Preferences / Color Management / Display Profile = sRGB, the pink goes away.)

Savvas Radevic (medigeek) wrote :

I think we just have to wait for a stable release with a .tar.gz:

"On the Linux side, I thought I was going to quickly wrap a release long ago so we can get back into Ubuntu and Debian. When I did some testing I found fresh bugs in the CVS version. One that's particularly annoying is all the windows lose their screen positions and pile on top of each other. That made it more effort than I'd expected and put me off. I did think I'd get back to it much sooner than this."

http://cinepaint.blogspot.com/2009/06/cinepaint-status-and-mac-os-x.html
http://cinepaint.blogspot.com/

===

The package from Caroline's ppa comes from here: http://sidux.net/etorix/
There's a README file explaining some requirements:

"First get:[recommended]
# apt-get install create-resources icc-profiles libgutenprint2 libgutenprintui2-1
# apt-get install cinepaint cinepaint-data libcinepaint0"

http://sidux.net/etorix/README

Darxus (darxus) wrote :

Thanks Savvas Radevic.

The sudix.net repository version also has the dependency on libopenexr2ldbl (only in hardy) and crashes when I try to adjust brightness on an hdr.

Savvas Radevic (medigeek) wrote :

Does anyone want to test a new build for karmic (ubuntu 9.10)?
It runs, but I don't have example files (nor the time to be frank) to test cinepaint. :)

The packages for elektra, oyranos and cinepaint are currently being built in this experimental ppa:
https://launchpad.net/~cinepaint/+archive/experimental

Warning: Do not keep the PPA installed in your software sources (apt repositories), unless you are aware of the risks. :)

Savvas Radevic (medigeek) wrote :

Removing the assigned person, since there was no activity for quite a while. If I'm wrong, please re-set yourself. :)

Changed in cinepaint (Ubuntu):
assignee: Caroline Ford (secretlondon) → nobody
status: In Progress → Confirmed

I was assigned as that was part of the process for getting the package
in REVU. However it just sat there so there's been no other movement
from my end.

I'm glad you've packaged for karmic. Is the packaging someone is
working on for Debian - or is it the old sidux one I was using?

Sent from a mobile device.

On 4 Sep 2009, at 22:44, Savvas Radevic <email address hidden> wrote:

> Removing the assigned person, since there was no activity for quite a
> while. If I'm wrong, please re-set yourself. :)
>
> ** Changed in: cinepaint (Ubuntu)
> Status: In Progress => Confirmed
>
> ** Changed in: cinepaint (Ubuntu)
> Assignee: Caroline Ford (secretlondon) => (unassigned)
>
> --
> Please re-add cinepaint to Ubuntu
> https://bugs.launchpad.net/bugs/190791
> You received this bug notification because you are a direct subscriber
> of the bug.

Savvas Radevic (medigeek) wrote :

 I've done the "legwork" for the packaging. It's a new package, built
from scratch for all 3 packages (about 4 hours of head banging against
the wall). I'm new in library binary packaging, so there surely must
be some mistakes in the packaging. I used cinepaint from the 0.25.0
from CVS (a version control system). :)
 The version 0.22.1 does not build anymore (I bumped on some error
that I forgot now, but the recommendation to some other user was to
use cvs - so I did and voila!).
 As it is right now, it can run. The rest will have to wait until
someone actually tests it with media files and comment. :)

Savvas Radevic (medigeek) wrote :

> built from scratch

Correction: built from scratch based on fedora, archlinux and old
debian cinepaint package.

Thanks for building the PPA.
/me installing it now!

Any chance to get that into Universe?

*That* no, at least not right now. We're past the time for new packages,
we'd have to wait for Ubuntu 10.04+
Until then, I can hopefully re-package the badly named packages (e.g.
elektra to libelektra0 etc.) and report any errors the users mention. :)

2009/9/7 Shang Wu <email address hidden>

> Thanks for building the PPA.
> /me installing it now!
>
> Any chance to get that into Universe?
>
> --
> Please re-add cinepaint to Ubuntu
> https://bugs.launchpad.net/bugs/190791
> You received this bug notification because you are a direct subscriber
> of the bug.
>

And would it be possible to get 9.04 version?

If it is gotten back into the archive it can be backported to earlier
releases.

Hi,
I can't try a new time the bug, but when i left cinepaint yesterday, it wasn't really close.
I started cinepaint in the terminal, do some things as create an image, et draw a little on it.
I closed all the window with the button close.
And later, when i was looking for the top command, cinepaint take 96% on my CPU.
Thanks, and good luck (and sorry for my bad english)
Ribemont Francois

Savvas Radevic (medigeek) wrote :

If someone wants to take and fix the packages (names, dependencies
etc) please do!
I might not have the time for about 6 months. I have some real life
problems that I need to sort out. Plus, I'm stuck without internet
except some limited access and email.
Cheers! :)

On 9/27/09, Paco <email address hidden> wrote:
> Hi,
> I can't try a new time the bug, but when i left cinepaint yesterday, it
> wasn't really close.
> I started cinepaint in the terminal, do some things as create an image, et
> draw a little on it.
> I closed all the window with the button close.
> And later, when i was looking for the top command, cinepaint take 96% on my
> CPU.
> Thanks, and good luck (and sorry for my bad english)
> Ribemont Francois
>
> --
> Please re-add cinepaint to Ubuntu
> https://bugs.launchpad.net/bugs/190791
> You received this bug notification because you are a direct subscriber
> of the bug.
>

--
Sent from my mobile device

Mantas Kriaučiūnas (mantas) wrote :

Savvas Radevic wrote on 2009-09-27:
> If someone wants to take and fix the packages (names, dependencies, etc) please do!
> I might not have the time for about 6 months.

It seems you don't need to maintain libelektra packages -Christophe Mehay already packaged libelektra, see https://launchpad.net/~goldy-goldenfish/+archive/ppa , please use these packages instead repackaging libelekra by yourself.

Milan Knizek (knizek) wrote :

The packages for elektra, oyranos and cinepaint are currently being built in this experimental ppa:
https://launchpad.net/~cinepaint/+archive/experimental

Thanks for the PPA. Note that oyranos-icc conflicts with "icc-profiles" package.

jengel (jengel-iname) wrote :

I attempted install from experimental ppa. This failed with following error:

E: /var/cache/apt/archives/oyranos-icc_0.1.9-0ubuntu1~ppakarmic0.1_all.deb: trying to overwrite '/usr/share/color/icc/PhotoGamutRGB_avg6c.icc', which is also in package icc-profiles 0

Milan Knizek (knizek) wrote :

@jengel: just remove icc-profiles package (or delete the listed icc profile manually) and try to install again.

I'm more-or-less back online, I will probably start redesigning the
packages in a month or so. I must admit that I don't use this package
and I simply did it out of packaging interest. :)

But I would like someone to answer the following:
1. What purpose cinepaint serves that makes it unique?
2. Are you 100% sure that cinepaint is the only tool available for
what makes it unique?
I'm asking because I have noticed several HDR imaging tools, like:
http://packages.ubuntu.com/lucid/qtpfsgui
Also noticed Krita for KDE: http://krita.org/features

Mantas Kriaučiūnas:
> It seems you don't need to maintain libelektra packages -Christophe
> Mehay already packaged libelektra, see https://launchpad.net/~goldy-
> goldenfish/+archive/ppa , please use these packages instead repackaging
> libelekra by yourself.

I suppose I could merge the package names in debian/control with my
package, since I've done more "work" to install files in the right
directories, defined the copyright and removed the unnecessary (not
sure if they are unnecessary) *_static files.

Milan Knizek:
> Thanks for the PPA. Note that oyranos-icc conflicts with "icc-profiles"
> package.

Milan, should I not create the package oyranos-icc? Are all icc
profiles included in icc-profiles ?

I've used both cinepaint and qtpfsgui a fair amount. qtpfsgui only lets you merge multiple LDR images to HDR, and optionally tone map them back to LDR (this last conversion is what is often incorrectly referred to as "HDR").

CinePaint is a full image editor that supports HDR images. Does that sufficiently answer your question?

I suspect you're more familiar with the incorrect usage of the term HDR. This might help:
http://en.wikipedia.org/wiki/High_dynamic_range_imaging

I am not familiar with Krita.

Thank you for your work.

Darxus (darxus) wrote :

The Flickr HDR group is a great example of the term "HDR" being used completely wrong.

If you can display it on your monitor, it is, by definition, *not* HDR. Monitors are all LDR. (CinePaint compresses the dynamic range to LDR while editing.)

Thank you for your answer, it's more than enough to see it's still
required and irreplaceable. :)

One final program, has anyone tried fotoxx?
http://kornelix.squarespace.com/fotoxx/
Packages available at getdeb:
- http://www.getdeb.net/software/Fotoxx
- http://www.getdeb.net/updates/Ubuntu/all#how_to_install

Savvas Radevic (medigeek) wrote :

> One final program, has anyone tried fotoxx?
> http://kornelix.squarespace.com/fotoxx/
> Packages available at getdeb:
> - http://www.getdeb.net/software/Fotoxx
> - http://www.getdeb.net/updates/Ubuntu/all#how_to_install

Never mind, I got the idea. :)

Apart from the popular HDR creation and editing, CinePaint is invaluable for keen photographers due to its

x high bit depth support (GIMP does not support it yet, Krita is buggy and slow, fotoxx is more organiser like digikam-showfoto combo rather then editor supporting layers, clone tool, etc.) and

x integration of icc_examin plugin (see http://www.behrmann.name/index.php?option=com_content&task=view&id=32&Itemid=70 ).

Also, CinePaint seems to be unique for video retouching (image by image), however, that's none of my business...

P.S. I will have a look at other existing packages with ICC profiles and report back in a few days.

papukaija (papukaija) on 2012-06-11
summary: - Please re-add cinepaint to Ubuntu
+ [needs-packaging] cinepaint
Logan Rosen (logan) on 2013-11-16
Changed in cinepaint (Ubuntu):
status: Confirmed → Triaged
Savvas Radevic (medigeek) wrote :

Awesome! Thank you!!

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.